<?php

namespace QuadLayers\WOOCCM_PRO\Compatibility;

use QuadLayers\WOOCCM\Plugin;
use QuadLayers\WOOCCM\View\Frontend\Fields_Handler;

/**
 * Fields_Subscriptions Class
 */
class Fields_Subscriptions {

	protected static $_instance;

	public function __construct() {
		add_action( 'ywcsb_admin_subscription_data_after_billing_address', array( $this, 'ywcsb_admin_subscription_data_after_billing_address' ), 10 );
		add_action( 'ywcsb_admin_subscription_data_after_shipping_address', array( $this, 'ywcsb_admin_subscription_data_after_shipping_address' ), 10 );
		add_action( 'ywcsb_admin_subscription_data_after_shipping_address', array( $this, 'ywcsb_admin_subscription_data_after_additional_address' ), 10 );
	}

	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	public function ywcsb_admin_subscription_data_after_billing_address( $subscription ) {
		Fields_Handler::instance();

		$billing = Plugin::instance()->billing->get_fields();

		if ( ! $billing ) {
			return;
		}

		$defaults = Plugin::instance()->billing->get_defaults();
		$template = Plugin::instance()->billing->get_template_types();

		?>
	<div class="wooccm_fields address">
		<?php

		foreach ( $billing as $field_id => $field ) {

			if ( in_array( $field['name'], $defaults ) ) {
				continue;
			}

			if ( in_array( $field['name'], $template ) ) {
				continue;
			}

			if ( ! isset( $field['type'] ) || 'textarea' != $field['type'] ) {
				$field['type'] = 'text';
			}

			$key   = sprintf( '_%s', $field['key'] );
			$order = wc_get_order( $subscription->order_id );

			$value = $order->get_meta( $subscription->order_id, $key, true );
			if ( $value ) {
				?>
			<p>
			<strong><?php esc_html_e( $field['label'] ); // phpcs:ignore WordPress.WP.I18n.NonSingularStringLiteralText ?></strong>
				<?php esc_html_e( $value ); // phpcs:ignore WordPress.WP.I18n.NonSingularStringLiteralText ?>
			</p>
				<?php

			}
		}

		?>

	</div>

	<!-- <div class="wooccm_fields edit_address">
		<?php

		foreach ( $billing as $field_id => $field ) {

			if ( in_array( $field['name'], $defaults ) ) {
				continue;
			}

			if ( in_array( $field['name'], $template ) ) {
				continue;
			}

			$key = sprintf( '_%s', $field['key'] );

			$value = $order->get_meta( $key, true );

			$field['id']            = sprintf( '_%s', $field['key'] );
			$field['name']          = $field['key'];
			$field['value']         = $value;
			$field['class']         = join( ' ', $field['class'] );
			$field['wrapper_class'] = 'wooccm-premium-field';

			switch ( $field['type'] ) {
				case 'textarea':
					woocommerce_wp_textarea_input( $field );
					break;
				default:
					$field['type'] = 'text';
					woocommerce_wp_text_input( $field );
					break;
			}
		}

		?>

	</div> -->

		<?php
	}

	public function ywcsb_admin_subscription_data_after_shipping_address( $subscription ) {
		Fields_Handler::instance();

		$shipping = Plugin::instance()->shipping->get_fields();
		if ( ! $shipping ) {
			return;
		}

		$defaults = Plugin::instance()->shipping->get_defaults();
		$template = Plugin::instance()->shipping->get_template_types();

		?>
	<div class="wooccm_fields address">
		<?php

		foreach ( $shipping as $field_id => $field ) {

			if ( in_array( $field['name'], $defaults ) ) {
				continue;
			}

			if ( in_array( $field['name'], $template ) ) {
				continue;
			}

			if ( ! isset( $field['type'] ) || 'textarea' != $field['type'] ) {
				$field['type'] = 'text';
			}

			$key   = sprintf( '_%s', $field['key'] );
			$order = wc_get_order( $subscription->order_id );

			$value = $order->get_meta( $key, true );
			if ( $value ) {
				?>
			<p>
			<strong><?php esc_html_e( $field['label'] ); // phpcs:ignore WordPress.WP.I18n.NonSingularStringLiteralText ?></strong>
				<?php esc_html_e( $value ); // phpcs:ignore WordPress.WP.I18n.NonSingularStringLiteralText ?>
			</p>
				<?php

			}
		}

		?>

	</div>

	<!-- <div class="wooccm_fields edit_address">
		<?php

		foreach ( $shipping as $field_id => $field ) {

			if ( in_array( $field['name'], $defaults ) ) {
				continue;
			}

			if ( in_array( $field['name'], $template ) ) {
				continue;
			}

			$key = sprintf( '_%s', $field['key'] );

			$value = $order->get_meta( $key, true );

			$field['id']            = sprintf( '_%s', $field['key'] );
			$field['name']          = $field['key'];
			$field['value']         = $value;
			$field['class']         = join( ' ', $field['class'] );
			$field['wrapper_class'] = 'wooccm-premium-field';

			switch ( $field['type'] ) {
				case 'textarea':
					woocommerce_wp_textarea_input( $field );
					break;
				default:
					$field['type'] = 'text';
					woocommerce_wp_text_input( $field );
					break;
			}
		}

		?>

	</div> -->

		<?php
	}

	public function ywcsb_admin_subscription_data_after_additional_address( $subscription ) {
		// include_once(WOOCCM_PLUGIN_DIR . 'includes/view/frontend/class-wooccm-fields-handler.php');

		$additional = Plugin::instance()->additional->get_fields();
		if ( ! $additional ) {
			return;
		}

		$defaults = Plugin::instance()->additional->get_defaults();
		$template = Plugin::instance()->additional->get_template_types();

		?>
	</div>
	<style>
		#subscription-data .subscription_data_column {
			width: 23%;
		}

		#subscription-data .subscription_data_column .wooccm-premium-field {
			width: 100% !important;
			float: none !important;
			clear: both;
		}

		#subscription-data .subscription_data_column .wooccm-premium-field:after,
		#subscription-data .subscription_data_column .wooccm-premium-field:before {
			display: block;
			content: "";
			clear: both;
		}

		#subscription-data .subscription_data_column_additional .form-field {
			width: 100%;
			clear: both;
		}
	</style>
	<div class="subscription_data_column subscription_data_column_additional">
		<h3>
			<?php esc_html_e( 'Additional', 'woocommerce-checkout-manager-pro' ); ?>
			<!-- <a href="#" class="edit_address"><?php esc_html_e( 'Edit', 'woocommerce-checkout-manager-pro' ); ?></a> -->
		</h3>
		<div class="wooccm_fields address">
			<?php

			foreach ( $additional as $field_id => $field ) {

				if ( in_array( $field['name'], $defaults ) ) {
					continue;
				}

				if ( in_array( $field['name'], $template ) ) {
					continue;
				}

				if ( ! isset( $field['type'] ) || 'textarea' != $field['type'] ) {
					$field['type'] = 'text';
				}

				$key   = sprintf( '_%s', $field['key'] );
				$order = wc_get_order( $subscription->order_id );

				$value = $order->get_meta( $key, true );
				if ( $value ) {
					?>
				<p>
				<strong><?php esc_html_e( $field['label'] ); // phpcs:ignore WordPress.WP.I18n.NonSingularStringLiteralText ?></strong>
					<?php esc_html_e( $value ); // phpcs:ignore WordPress.WP.I18n.NonSingularStringLiteralText ?>
				</p>
					<?php

				}
			}

			?>

		</div>
			<!-- <div class="wooccm_fields edit_address">
		<?php
		foreach ( $additional as $field_id => $field ) {

			if ( in_array( $field['name'], $defaults ) ) {
				continue;
			}

			if ( in_array( $field['name'], $template ) ) {
				continue;
			}

			$key = sprintf( '_%s', $field['key'] );

			$value = $order->get_meta( $key, true );

			$field['id']            = sprintf( '_%s', $field['key'] );
			$field['name']          = $field['key'];
			$field['value']         = $value;
			$field['class']         = join( ' ', $field['class'] );
			$field['wrapper_class'] = 'wooccm-premium-field';

			switch ( $field['type'] ) {
				case 'textarea':
					woocommerce_wp_textarea_input( $field );
					break;
				default:
					$field['type'] = 'text';
					woocommerce_wp_text_input( $field );
					break;
			}
		}
		?>
		</div> -->
		<?php
	}
}
