<?php

namespace QuadLayers\WOOCCM_PRO\View\Backend;

use QuadLayers\WOOCCM\Plugin;
use QuadLayers\WOOCCM\View\Frontend\Fields_Register;

/**
 * Fields_Export Class
 */
class Fields_Export {


	protected static $_instance;
	protected $csv_headers = array();

	public function __construct() {
		if ( get_option( 'wooccm_export_custom_fields', 'yes' ) === 'yes' ) {
			add_filter( 'wc_customer_order_export_csv_order_row', array( $this, 'modify_row_data' ), 10, 3 );
			add_filter( 'wc_customer_order_export_csv_order_headers', array( $this, 'modify_column_headers' ) );
		}
	}

	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	public function modify_column_headers( $column_headers ) {
		Fields_Register::instance();

		$checkout = WC()->checkout->get_checkout_fields();
		if ( count( $checkout ) ) {

			foreach ( $checkout as $field_type => $fields ) {
				foreach ( $fields as $key => $field ) {
					if ( isset( Plugin::instance()->$field_type ) && ! isset( $column_headers[ $key ] ) ) {
						$this->csv_headers[ $key ] = $field['label'];
					}
				}
			}
		}

		return array_merge( $column_headers, $this->csv_headers );
	}

	public function modify_row_data( $order_data, $order, $csv_generator ) {
		if ( count( $this->csv_headers ) ) {
			foreach ( $this->csv_headers as $key => $label ) {
				$value = $order->get_meta( sprintf( '_%s', $key ), true );
				if ( $value ) {
					$order_data[ $key ] = $value;
				}
			}
		}
		return $order_data;
	}
}
