<?php

namespace QuadLayers\WOOCCM_PRO\View\Backend;

/**
 * License Class
 */
class License {

	protected static $_instance;

	public function __construct() {
		add_action( 'wooccm_sections_header', array( $this, 'add_header' ) );
	}

	public function add_header() {

		global $wooccm_license_client;

		if ( ! isset( $wooccm_license_client->plugin ) ) {
			return;
		}

		$license_menu_url = $wooccm_license_client->plugin->get_menu_license_url();

		?>
			<li><a href="<?php echo esc_url( $license_menu_url ); ?>"><?php echo esc_html__( 'License', 'woocommerce-checkout-manager-pro' ); ?></a></li> |
		<?php
	}

	public static function instance() {

		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}
}
