<?php

use QuadLayers\WOOCCM\Plugin;

$text_align = is_rtl() ? 'right' : 'left';

$more_additional_data = false;

$billing_defaults    = array_column( Plugin::instance()->billing->get_defaults(), 'key' );
$shipping_defaults   = array_column( Plugin::instance()->shipping->get_defaults(), 'key' );
$additional_defaults = array_column( Plugin::instance()->billing->get_defaults(), 'key' );

foreach ( Plugin::instance()->billing->get_fields() as $field_id => $field ) {

	$is_not_default_field = ! in_array( $field['key'], $billing_defaults, true );

	if ( empty( $field['hide_email'] ) && empty( $field['disabled'] ) && $is_not_default_field ) {
		$value = $order->get_meta( sprintf( '_%s', $field['key'] ), true );
		if ( ! empty( $value ) ) {
			$more_additional_data = true;
			break;
		}
	}
}

foreach ( Plugin::instance()->shipping->get_fields() as $field_id => $field ) {

	$is_not_default_field = ! in_array( $field['key'], $shipping_defaults, true );

	if ( empty( $field['hide_email'] ) && empty( $field['disabled'] ) && $is_not_default_field ) {
		$value = $order->get_meta( sprintf( '_%s', $field['key'] ), true );
		if ( ! empty( $value ) ) {
			$more_additional_data = true;
			break;
		}
	}
}

foreach ( Plugin::instance()->additional->get_fields() as $field_id => $field ) {

	$is_not_default_field = ! in_array( $field['key'], $additional_defaults, true );

	if ( empty( $field['hide_email'] ) && empty( $field['disabled'] ) && $is_not_default_field ) {
		$value = $order->get_meta( sprintf( '_%s', $field['key'] ), true );
		if ( ! empty( $value ) ) {
			$more_additional_data = true;
			break;
		}
	}
}

if ( false === $more_additional_data ) {
	return;
}
?>
<h2 class="woocommerce-order-details__title"><?php echo esc_html( $title ); ?></h2>
<div style="margin-bottom: 40px;">
	<table class="td" cellspacing="0" cellpadding="6" style="width: 100%; font-family: 'Helvetica Neue', Helvetica, Roboto, Arial, sans-serif;" border="1">
		<tbody>
		<?php
		foreach ( Plugin::instance()->billing->get_fields() as $field_id => $field ) :
			$billing_defaults = array_column( Plugin::instance()->billing->get_defaults(), 'key' );
			?>
			<?php if ( ! in_array( $field['key'], $billing_defaults ) && empty( $field['hide_email'] ) ) : ?>
				<?php
					$value = $order->get_meta( sprintf( '_%s', $field['key'] ), true );
				if ( $value ) :
					?>
				<tr id="tr-<?php echo esc_attr( $field['key'] ); ?>" class="woocommerce-table__line-item order_item">
				<td class="td" scope="col" style="text-align:<?php echo esc_attr( $text_align ); ?>;">
					<?php echo esc_html( $field['label'] ); ?>
				</td>
				<td class="td" scope="col" style="text-align:<?php echo esc_attr( $text_align ); ?>;">
					<?php echo nl2br( esc_html( $value ) ); ?>
				</td>
				</tr>
			<?php endif; ?>
			<?php endif; ?>
		<?php endforeach; ?>
		<?php
		foreach ( Plugin::instance()->shipping->get_fields() as $field_id => $field ) :
			$shipping_defaults = array_column( Plugin::instance()->shipping->get_defaults(), 'key' );
			?>
			<?php if ( ! in_array( $field['key'], $shipping_defaults ) && empty( $field['hide_email'] ) ) : ?>
				<?php
				$value = $order->get_meta( sprintf( '_%s', $field['key'] ), true );
				if ( $value ) :
					?>
				<tr id="tr-<?php echo esc_attr( $field['key'] ); ?>">
				<td class="td" scope="col" style="text-align:<?php echo esc_attr( $text_align ); ?>;">
					<?php echo esc_html( $field['label'] ); ?>
				</td>
				<td class="td" scope="col" style="text-align:<?php echo esc_attr( $text_align ); ?>;">
					<?php echo nl2br( esc_html( $value ) ); ?>
				</td>
				</tr>
			<?php endif; ?>
			<?php endif; ?>
		<?php endforeach; ?>
		<?php foreach ( Plugin::instance()->additional->get_fields() as $field_id => $field ) : ?>
			<?php if ( empty( $field['hide_email'] ) ) : ?>
				<?php
					$value = $order->get_meta( sprintf( '_%s', $field['key'] ), true );
				if ( $value ) :
					?>
				<tr id="tr-<?php echo esc_attr( $field['key'] ); ?>">
				<td class="td" scope="col" style="text-align:<?php echo esc_attr( $text_align ); ?>;">
					<?php echo esc_html( $field['label'] ); ?>
				</td>
				<td class="td" scope="col" style="text-align:<?php echo esc_attr( $text_align ); ?>;">
					<?php echo nl2br( esc_html( $value ) ); ?>
				</td>
				</tr>
			<?php endif; ?>
			<?php endif; ?>
		<?php endforeach; ?>
		</tbody>
	</table>
</div>
